Bug 7309 - sa-learn fails when called by dovecot-antispam plugin: libgcc_s.so.1 must be installed for pthread_cancel to work
Summary: sa-learn fails when called by dovecot-antispam plugin: libgcc_s.so.1 must be ...
Status: RESOLVED INVALID
Alias: None
Product: Spamassassin
Classification: Unclassified
Component: spamassassin (show other bugs)
Version: 3.2.2
Hardware: Other Linux
: P2 normal
Target Milestone: Undefined
Assignee: SpamAssassin Developer Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-13 10:26 UTC by Johannes Rohr
Modified: 2018-08-25 23:10 UTC (History)
2 users (show)



Attachment Type Modified Status Actions Submitter/CLA Status

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Rohr 2016-04-13 10:26:22 UTC
This is about a server running Ubuntu Precise, mail is handled by the Dovecot IMAP server, which I tried to integrate with spamassassin via the antispam plugin.

sa-learn works fine when called directly, but called from dovecot it fails:

libgcc_s.so.1 must be installed for pthread_cancel to work 

Obviously dovecot's privilege drop at programme start triggers this bug. See https://bugs.launchpad.net/ubuntu/+source/gcc-3.3/+bug/40285/comments/30

It seems quite persistent, I found no fix and I have found recent bug reports. I suppose that sa-learn is not the actual culprit, but maybe sa-learn can work around to avoid triggering whatever the actual cause is.
Comment 1 Kevin A. McGrail 2018-08-25 23:10:04 UTC
Sorry, but this is not a bug with SA.  If you have a suggestion you want us to try, that's great but working around another products integration that's causing an unknown problem...